#!/bin/bash

MESSAGE_FILE="/messages.yaml"

NUM_MESSAGES=$(yq eval '.messages | length' "$MESSAGE_FILE")

RANDOM_INDEX=$(( RANDOM % NUM_MESSAGES ))

MESSAGE=$(yq eval ".messages[$RANDOM_INDEX]" "$MESSAGE_FILE")

PLUGIN_PR_BODY=$(awk -v msg="$MESSAGE" '{gsub(/\{- random-pr-message -\}/, msg)}1' <<< "$PLUGIN_PR_BODY")

/gitea-pull-request-create-plugin
